Bug 208639 - devel/hadoop: status doesn't work with current rc.d scripts
Summary: devel/hadoop: status doesn't work with current rc.d scripts
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Sivachenko
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-08 18:00 UTC by Johannes Jost Meixner
Modified: 2016-04-27 14:53 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (demon)


Attachments
hadoop2 rc.d files now work with status argument. (4.31 KB, patch)
2016-04-26 17:45 UTC, Johannes Jost Meixner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Jost Meixner freebsd_committer 2016-04-08 18:00:26 UTC

    
Comment 1 Johannes Jost Meixner freebsd_committer 2016-04-08 18:00:50 UTC
With the current implementation of the ha
Comment 2 Johannes Jost Meixner freebsd_committer 2016-04-08 18:04:15 UTC
One of those days, apologies. 

With the current implementation of the Hadoop rc.d scripts, it's not possible to get the status of hadoop daemons including datanode and namenode.
Comment 3 Johannes Jost Meixner freebsd_committer 2016-04-26 17:45:58 UTC
Created attachment 169727 [details]
hadoop2 rc.d files now work with status argument.

Patch attached fixes `service <hadoop component> status`.
Comment 4 Dmitry Sivachenko freebsd_committer 2016-04-26 21:02:27 UTC
Please feel free to commit this patch, thanks!
Comment 5 commit-hook freebsd_committer 2016-04-27 14:53:17 UTC
A commit references this bug:

Author: demon
Date: Wed Apr 27 14:52:42 UTC 2016
New revision: 414111
URL: https://svnweb.freebsd.org/changeset/ports/414111

Log:
  Fix 'status' argument for rc-scripts.

  PR:		208639
  Submitted by:	xmj

Changes:
  head/devel/hadoop2/files/datanode.in
  head/devel/hadoop2/files/journalnode.in
  head/devel/hadoop2/files/namenode.in
  head/devel/hadoop2/files/nodemanager.in
  head/devel/hadoop2/files/resourcemanager.in
  head/devel/hadoop2/files/zkfc.in
Comment 6 Dmitry Sivachenko freebsd_committer 2016-04-27 14:53:51 UTC
committed, thanks!